Page MenuHomePhabricator

Outline options for managing incident reports creation, follow-ups, and analysis
Closed, ResolvedPublic

Description

The current system of a wiki page per incident on wikitech is a good start and captures most of the needed information but makes reporting and analysis very difficult.

Let's work through some options of what to use instead of or in addition to the wiki pages.

Event Timeline

greg triaged this task as High priority.Nov 2 2018, 9:47 PM
greg created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2018, 9:47 PM

One option is crafting some scripts to scrape the information from the wiki pages and putting that info into eg a Google spreadsheet for analysis. Zeljko already has some of this written for his current analysis (T199133).

greg added a comment.Nov 2 2018, 9:50 PM

Another option is using a self-hosted (eg: on Cloud VPS) (Semantic) MediaWiki install (see Cindy's install scripts at https://github.com/cicalese/debian_wikifarm ) where we could have all incident reports created using some form and then get analysis for cheap(er).

Platonides added a subscriber: Platonides.EditedNov 2 2018, 9:54 PM

hesaidsemantic!

A crazy idea was to use Wikidata entities, but wikitech doesn't have Wikibase Client.

greg added a comment.Nov 2 2018, 9:55 PM

A crazy idea was to use Wikidata entities, but wikitech doesn't have Wikibase Client.

Would it even be possible to store the data in wikidata? I'd assume it'd be out of scope and we'd need specialized properties that wikidata doesn't have.

Worth asking the community to be sure, but I think it could fit.

mmodell claimed this task.Nov 5 2018, 5:24 PM

One option is crafting some scripts to scrape the information from the wiki pages and putting that info into eg a Google spreadsheet for analysis. Zeljko already has some of this written for his current analysis (T199133).

I've created a Ruby project zeljkofilipin/incident-documentation that extracts some information from the incident reports. Please see readme for the information it currently collects and issues for planned improvements.

The same tool (or a similar one) could be used to create incident reports for train deployments. Each train has a task, they have subtasks with tags and gerrit patches...

greg closed this task as Resolved.Jan 1 2019, 9:41 PM

Options outlined in this task commentary.

For now we will continue with the current system (including @zeljkofilipin 's analysis scripts).